<?php

use Battles\GameLogs;
use Battles\Nick;

if ($_SESSION['uid'] == null) {
    header("Location: index.php");
    exit;
}
$vip = mysql_fetch_array(mysql_query('SELECT `id`, `uid`, `clone` FROM `abils_user` WHERE `uid` = "' . $user['id'] . '" LIMIT 1'));

if ($user['battle'] == 0) {
    echo "Это боевая магия...";
} else {
    if ($vip['clone'] >= 1) {
        if ($user['invis'] == 1) {
            $user['login'] = 'невидимка';
        }
        $nb = mysql_fetch_array(mysql_query("SELECT COUNT(`id`) FROM `bots` WHERE `battle` = $user[battle] AND `name` LIKE '" . $user['login'] . " (клон%'"));
        mysql_query("INSERT INTO `bots` (`name`, `prototype`, `battle`, `hp`, `owner`) VALUES ('" . $user['login'] . " (клон " . ($nb[0] + 1) . ")', '" . $user['id'] . "', '" . $user['battle'] . "', '" . $user['hp'] . "', '" . $user['id'] . "')");
        $bot = mysql_insert_id();

        $bd = mysql_fetch_array(mysql_query('SELECT `id`, `t1`, `t2`, `teams` FROM `battle` WHERE `id` = "' . $user['battle'] . '" LIMIT 1'));
        $battle = unserialize($bd['teams']);
        $battle[$bot] = $battle[$user['id']];
        foreach ($battle[$bot] as $k => $v) {
            $battle[$k][$bot] = [0, 0, time()];
        }

        $t1 = explode(";", $bd['t1']);
        if (in_array($user['id'], $t1)) {
            $ttt = 1;
        } else {
            $ttt = 2;
        }
        if ($user['invis'] == 1) {
            $lo = '<i><b>невидимка</b></i>';
        } else {
            $lo = Nick::id($user['id'])->short();
        }
        if ($user['invis'] == 1) {
            $los = '<i><b>невидимка</b></i>';
        } else {
            $los = Nick::id($bot)->short();
        }
        GameLogs::addBattleLog($user['battle'], '<span class=date>' . date("H:i") . '</span> ' . $lo . ' породил своего клона ' . $los . '.<BR><hr>');
        mysql_query('UPDATE `battle` SET `teams` = \'' . serialize($battle) . '\', `t' . $ttt . '` = CONCAT(`t' . $ttt . '`,\';' . $bot . '\')  WHERE `id` = "' . $user['battle'] . '" LIMIT 1');
        mysql_query("UPDATE `battle` SET `to1` = '" . time() . "', `to2` = '" . time() . "' WHERE `id` = " . $user['battle'] . " LIMIT 1");
        echo "Клон создан";
        $vip['clone'] -= 1;
        mysql_query('UPDATE `abils_user` SET `clone` = "' . $vip['clone'] . '" WHERE `id` = "' . $vip['id'] . '" LIMIT 1');
    } else {
        echo "Свиток рассыпался в ваших руках...";
    }
}
